java.util.concurrent

## Interface ScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future

All Superinterfaces:
  Comparable<Delayed>, Delayed, Future<V>

All Known Subinterfaces:
  RunnableScheduledFuture<V>

    public interface ScheduledFuture<V>
    extends Delayed, Future<V>

A delayed result-bearing action that can be cancelled. Usually a scheduled future is the result of scheduling a task with a `ScheduledExecutorService`.

Since:
  1.5

### Method Summary

### Methods inherited from interface java.util.concurrent.Delayed

`getDelay`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.util.concurrent.Future

`cancel, get, get, isCancelled, isDone`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.